Меню Рубрики

Установка flash player chromium debian

  • FlashPlayer

Please note that Flash will be EOL at the end of 2020 so you should migrate any use of Flash to HTML5 as soon as possible.

Adobe Flash Player is a multimedia platform used to add animation, video, and interactivity to Web pages. Flash is frequently used for advertisements and games.
This wiki page describes how to install the Adobe Flash Player, formerly known as the Macromedia Flash Player, on Debian systems. This page serves as the homepage of the Debian package flashplugin-nonfree.
Before installing it manually, please consider using instead PepperFlashPlayer (with Freshplayerplugin if using Firefox).

End User License Agreement of the Adobe Flash Player

The newest versions of the Debian package flashplugin-nonfree have this warning in the package description:

Installation

Debian 9 Stretch

Firefox

1. Download the latest Adobe Flash Player for Linux from https://get.adobe.com/flashplayer/

On 64bit systems, it should be: flash_player_npapi_linux.x86_64.tar.gz

  • On 32bit systems, it should be: flash_player_npapi_linux.i386.tar.gz
  • 2. Unpack the tar.gz file: tar -xzf flash_player_npapi_linux*.tar.gz

    Example: Debian 9 Stretch + Firefox 52.4.0 (64-Bit): /usr/lib/mozilla/plugins/

    Example: Debian 9 Stretch + Firefox 62+ (64-Bit):

    *Please note you may have to create this directory if it does not exist*

    4. Copy libflashplayer.so to the appropriate browser plugins directory: sudo cp libflashplayer.so

    Example: sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

    5. Copy the Flash Player Local Settings configurations files to the /usr directory: sudo cp -r usr/* /usr

    Chromium

    1. Download the latest Adobe Flash Player for Linux from https://get.adobe.com/flashplayer/

    On 64bit systems, it should be: flash_player_ppapi_linux.x86_64.tar.gz

  • On 32bit systems, it should be: flash_player_ppapi_linux.i386.tar.gz
  • 2. Unpack the tar.gz file: tar -xzf flash_player_ppapi_linux*.tar.gz

    3. Copy libpepflashplayer.so to the appropriate lib directory: sudo cp libflashplayer.so

    Example: sudo cp flash/libflashplayer.so /usr/local/lib

    4. Check the version of the flash plugin from the manifest.json file

    Example: grep version flash/manifest.json

    • «version»: «31.0.0.153»,

    5. Restart Chromium with parameters of flash plugin location and version: chromium —ppapi—flash-path=
    —ppapi-flash-version=

    Example: chromium —ppapi-flash-path=/usr/local/lib/libpepflashplayer.so —ppapi-flash-version=31.0.0.153

    Semi-Automatic installation and/or update for Mozilla Firefox on Debian 9 Stretch

    1. Download and execute this shell script (fireflashupdate) with the following commands:

    Older Versions

    Note : flashplugin-nonfree package is not in the stable distribution. Refer to the Manual update method.

    Ensure your /etc/apt/sources.list file includes the contrib section ( for more information see sources.list )

  • Install flashplugin-nonfree (from section contrib):
  • Update

    Semi-Automatic update

    How to update the Adobe Flash Player:

    If this fails with «ERROR: wget failed to download . «, try the Manual update.

    Manual update

    When running update-flashplugin-nonfree —install you might get the following error:

    ERROR: wget failed to download http://people.debian.org/

    Unfortunately this is a recurring bug, anyway you can upgrade the plugin manually following this procedure:

    Download the latest release of the plugin in tar.gz format from https://get.adobe.com/flashplayer/

    As root, extract the tar.gz package and copy libflashplayer.so to /usr/lib/flashplugin-nonfree
    Give the file sane permission/ownership values:

    Check that the relevant /etc/alternatives entry is correct (this shouldn’t be required if the plugin was working properly before the upgrade) update-alternatives —list flash-mozilla.so should return /usr/lib/flashplugin-nonfree/libflashplayer.so If that’s not the case, you can fix it with: update-alternatives —quiet —install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50

    Note that the filename may be libpepflashplayer.so for the PepperFlashPlayer variant.

    Uninstall

    How to Uninstall the Adobe Flash Player, and the flashplugin-nonfree package:

    Compatible browsers

    Supported browsers

    Konqueror (if Netscape plugin support is present)

    Unsupported browsers

    Bug reporting

    If you find a problem with flashplugin-nonfree, then you are most welcome to report it in the Debian bug tracking system. However, we cannot modify the Adobe Flash Player to fix problems in Debian. So if you find a problem with the Adobe Flash Player, then please report it to Adobe.

    If you have found a workaround for a problem, then you are welcome to add an entry in the «troubleshooting» section below.

    Troubleshooting

    Proxy : The package flashplugin-nonfree has «its own internal solution» for caching the big .tar.gz downloaded from Adobe. Downloading fp10.*.pgp.asc is not cached by flashplugin-nonfree. My advice is to never use a caching proxy with flashplugin-nonfree, because a retrieval of fp10.*.pgp.asc from cache might result in a security update to be installed later than it should. If you must use a proxy because you have no direct way to the internet, then obviously you have no choice than to use the proxy. Then this should work:

    Remember that if you need the Flash Player to work with pulse, you can ask libasound to do so in your

    To verify the Adobe Flash Player version number installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select «About Adobe (or Macromedia) Flash Player» from the menu. If you use multiple browsers, perform the check for each browser you have installed on your system. (Source: Flash player security bulletins). Flash Player 11.2 is the last supported Flash Player version for Linux. Adobe will continue to prov >

    Adobe dropped support of processors without SSE2 on Linux (you can check with «grep ^flags /proc/cpuinfo» the letters «sse2» should be in the list) in an early point release of Flash Player 11. The player will install, but then crashes when it is invoked. This mostly affects older 32bit AMD processors. You can install Flash Player 10 from Adobe, see 697339.

    In case the plugin causes high cpu-usage, you can try this: create /etc/adobe/mms.cfg:

    Hardware v > Otherwise, a solution for users on netbooks with an accelerated v >

  • Fluent playback with Firefox is possible, replace the above options with the below options. This should permit for fluent HD playback with hw acceleration ( or no hw acceleration ) in the browser, except for full-screen HD depending on your machines capabilities.
    • If your Chromium or Google Chrome browser window is flickering, blinking constantly on some webpages, this issue is cause by Flash player, the following steps might fix that issue.
      1. Using your browser view any webpage containing a flash v >
      2. Right click on the v >
      3. Close your browser, reopen it, right click on the v >

    источник

    Установка Google Chromium и Flash на ARM устройства Linux

    Введение

    Предлагается быстрый и легкий метод для установки браузера Google Chromium (open source вариант браузера Chrome) в Linux для ARM (armel и armhf) устройств — например, Raspberry PI, ODroid, Cubieboard и т.д. Проблема в том, что в большинстве дистрибутивов Linux, например, Debian, Kali Linux официальный пакет Chromium доступен только для архитектур amd64 и i386. Версии для armhf и armel отсутствуют. Сборка пакета Chromium, например, из родного депозитария Debain не срабатывает, т.к. в коде отсутствуют инструкции по сборке под arm. Вариант от Google тоже компилируется с ошибками. Судя по отзывам в Интернете, возможно, удастся настроить кросс-платформенную сборку под ARM на обычных x86 компьютерах, либо попытаться сделать сборку непосредственно на arm, что может занимать более суток, и не всегда заканчивается успешно. Мне например, так и не удалось собрать пакет из исходников непосредственно на arm. Пример установки приведен для Kali Linux 1.0.7 (форк Debian Wheezy) под ODroid, для других Debian-систем всё аналогично.

    Установка Chromium

    Установка будет происходить наиболее простым способом — путем установки в систему бинарного установочного пакета .deb — такой способ применим для любой системы типа Debian. Установочный пакет для старой версии Chromium можно скачать с сайта Marco. Для новых версий Chromium рекомендуется использовать репозитори Ubunty. Там же указаны все зависимости пакета. Для моей системы необходимо было еще загрузить пакет chromium-codecs-ffmpeg-extra.

    На момент написания материала последней доступной для загрузки версией пакета Chromium была 34.0.1847.116-0ubuntu

    pkg884_armhf.deb

  • Установить пакеты (возможно, Вам потребуется изменить имена файлов, если Вы скачали другие версии пакетов):
  • Установка завершена.

    Устранение отсутствующих зависимостей

    При установке пакетов может возникнуть проблема «unmet dependencies». В моем случае в системе была установлена старая (для Chromium, но последняя из ветки stable) версия пакета библиотеки libc6. Новая версия пакета была доступна только для ветки jessie (testing). Для обновления этого пакета необходимо добавить соответствующие репозитории в /etc/apt/sources.list:

    Debian обычно содержит файл предпочтений, который корректно обрабатывает пакеты из разных версий таким образом, что стабильные пакеты имеют более высокий приоритет по сравнению с остальными. Это гарантирует, что внесенные выше изменения не переведут полностью всю систему на ветку testing. В моей версии Kali Linux такого файла предпочтений не было, поэтому пришлось его создать вручную — файл /etc/apt/preferences.d/main.pref со следующим содержимым:

    Здесь первые 2 блока описывают, что внутренние репозитарии Kali Linux имеют более высокий приоритет, чем пакеты Debian Jessie. Если Вы используете Debian Wheezy, то вместо этих 2 блоков, нужно оставить только один и указать в нем n=wheezy. После сохранения изменений нужно обновить информацию о репозитариях:

    После этого нужно явным образом обновить пакет libc6:

    В случае наличия других зависимостей, они устраняются аналогичным образом. После этого можно заново попытаться установить Chromium.

    Установка поддержки Flash

    Традиционный плагин flashplugin-nonfree в Linux не доступен под ARM устройства. Необходимо использовать плагин PepperFlash. Он свободно не распространяется Google, но его можно скачать с сайта Lee Harris PepperFlash-12.0.0.77-armv7h.tar.gz. Это плагин для ARMv7, взятый из Google OS с устройства Chromebook. Для тех, кто не доверяет сторонним источникам, могут попробовать выгрузить плагин самостоятельно. После скачивания архива нужно распакавать и положить папку Pepperflash в /usr/lib. После этого, нужно внести следующие изменения в конфигурационный файл Chromium, который располагается в /etc/chromium-browser/default. Конфигурационный файл нужно изменить так, чтобы в нем была следующая строка:
    CHROMIUM_FLAGS=»—ppapi-flash-path=/usr/lib/PepperFlash/libpepflashplayer.so —ppapi-flash-version=12.0.0.77″

    Запуск Chromium с правами root

    По умолчанию Chromium отказывается запускаться с правами root. Это можно исправит в конфигурационном файле /etc/chromium-browser/default.Конфигурационный файл нужно изменить так, чтобы в нем была следующая строка:
    CHROMIUM_FLAGS=»-password-store=detect -user-data-dir»
    Если при этом требуется поддержка FLASH, тогда строка будет иметь вид:
    CHROMIUM_FLAGS=»—ppapi-flash-path=/usr/lib/PepperFlash/libpepflashplayer.so —ppapi-flash-version=12.0.0.77 -password-store=detect -user-data-dir»

    Результаты

    Имеется Chromium, который работает с поддержкой Flash на ARM-устройстве. Тестирование проводилось на ODROID-XU (armhf) с ОС Kali Linux 1.0.7. Скриншот:

    Поддерживается функция авторизации Google, синхронизация всех закладок, истории и т.д., поддерживаются все расширения.

    источник

    linux-notes.org

    Установка Adobe Flash Player в Debian/Ubuntu/Mint

    Хочу рассказать в своей теме «Установка Adobe Flash Player в Debian/Ubuntu/Mint» как установить флеш плеер на Debian, Ubuntu или linux mint. Установка очень проста и не требует много вашего времени.

    Установка Adobe Flash Player в Debian/Ubuntu/Mint

    И так, примеры приводились для Debian 8 и Ubuntu 16.

    Установка Adobe Flash Player в Ubuntu

    Нужно запустить программу «Терминал», откройте ее в панели управления или можно его запустить через комбинацию клавиш Ctrl+Alt+T, после чего введите ряд команд:

    1. Добавим репозиторий в котором содержится флеш плеер:

    PS: для установки Flash для Ubuntu x64, выполняем ряд действий:

    • Добавляем репозиторий:
    • Обновим список репозиторией и так же, ОС:
    • Собственно, устанавливаем флеш:

    2. Обновим систему чтобы наел наш репозиторий:

    3. Устанавливаем flash плеер:

    После окончания установки, откройте любой видеоролик в вашем браузере и проверьте работу плеера, должно все работать.

    Установка Adobe Flash Player в Debian

    Если не помогло, то есть еще самый верный способ. Открываем файл:

    Выполняем обновление пакетов:

    Установите flashplugin-nonfree (из раздела contrib):

    Обновить Adobe Flash Player можно:

    Удалить Adobe Flash Player можно:

    Так же, можно добавить еще один репозиторий:

    Выполняем установку ключа:

    Выполним обновление пакетов:

    И, ставим flashplugin-nonfre плагин:

    На этом моя статья «Установка Adobe Flash Player в Debian/Ubuntu/Mint» завершена.

    6 thoughts on “ Установка Adobe Flash Player в Debian/Ubuntu/Mint ”

    Чёт не помогло… Linux Mint 17.1 MATE на ютубе норм. а в вк не хочет(

    Попробуйте переустановить (сделать все заново). Так же, попробуйте использовать другой браузер

    Народ. Зачем Вы пишете то, что нихрена не работает.

    Доброе время суток! Расскажите какую ОС используете ( так же разрядность), могу помочь. Что касается работоспособности моей статьи — она была рабочая на момент написания. Я все проверяю. Бывает так, что выходят новые версии и меняют шаги обновления и тогда нужно править материал. У меня нет времени за всем следить, убедительная просьба, относиться к чужой работе спокойно 😉 Уважайте чужой труд 🙂
    Если нашли полезную и рабочую статью, просьба присылать и я тогда дополню свою. Спасибо за понимание.

    Ну а где репозиторий для Debian? Этот не катит! Раз уж в заголовке есть этот дистриб — можно было бы и для него разжевать!

    Да, упустил момент! Спасибо за замечание. Уже поправил 😉

    Добавить комментарий Отменить ответ

    Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.

    источник

    • PepperFlashPlayer
    • Installing

    Pepper Flash Player is a non-free (proprietary) software. It’s also closed source and not supported by Debian. Have you considered using a free and open source alternative, which is community-owned and supported by Debian, such as Gnash, Lightspark, Shumway or SwfDec ? Read more about free and open source alternatives here.

    Installing Pepper Flash Player

    Debian 9 «Stretch»

    Pepper Flash Player is no longer available in the Stretch repository. Package pepperflashplugin-nonfree.deb from Buster (testing) works in Stretch, though. Once downloaded you can install it manually with:

    Any missing dependency will need to be met manually installing the missing packages with apt.

    Since it will not be possible to keep the package up-to-date via apt, every now and then you will need to run:

    You can check whether an update is available with:

    64 bits / amd64

    Debian 8 «Jessie»

    Pepper Flash Player is available in the contrib section of jessie-backports. To make jessie-backports packages available on your system, add a line like this to /etc/apt/sources.list or /etc/apt/sources.list.d/backports.list:

    After adding the repository to your sources, update the local index:

    64 bits / amd64

    See the Backports page and https://backports.debian.org/ for more information.

    32 bits / i386

    pepperflashplugin-nonfree is no longer available for 32 bits since google chrome stopped support for Linux 32 bits. The plugin is still available from Adobe, point Chromium to download page or pick the PPAPI version for other browsers to download.

    Most straight forward to install is dropping the libpepflashplayer.so from the archive at the right target.
    First unZip, Xtract, Verbously the File downloaded:

    To look for the target open chrome://plugins in chromium, if pepperflashplugin-nonfree has been installed it should be pointing at /usr/lib/pepperflashplugin-nonfree/. If pepperflashplugin-nonfree was removed then that directory has to be recreated, as root do:

    Restart chromium chrome://restart ,voila.

    If pepperflashplugin-nonfree has never been installed the target directory may be /usr/lib/chromium/plugins/, or .

    Sophisticated users may elaborate the scheme with symlinks to support alternatives and other smart features.

    Debian 7 «Wheezy»

    32 bits / i386

    1. Remove other flash plugin

    2.Add backports to your sources.list.

    4. Create PepperFlashPlayer directory and symlink

    5. Install packages to compile freshplayerplugin. For more info here

    6. Download and compile the source code in order to obtain the file: libfreshwrapper-pepperflash.so.

    7. Create plugins directory for Iceweasel (Firefox)

    Notes

    Close and reopen Iceweasel and you have ?PepperFlash

    64 bits / amd64

    If not already done you must add backports to your sources.list. To do so follow those instructions. Make sure that «contrib» section is included.

  • Using Terminal as Root run the following command to install Pepper Flash Player from Wheezy Backports
  • Still using Terminal run the following command to update Pepper Flash Player
  • Close all your browser windows. Then open your browser. Flash should work.
  • This step is optional. Still using Terminal run the following command to know what version of Pepper Flash Player you have installed.

    This step is also optional. To use the pepperflashplugin-nonfree with iceweasel, you need to install the package browser-plugin-freshplayer-pepperflash. Further instructions here.

    Notes

    • If Flash is still not working here are a few things you could try
      • Ensure that all your Chromium or Chrome browser windows are closed. It’s important to close all browser windows otherwise Flash will not work. Then open your browser to test Flash.
      • If still not working try to reboot your computer. Sometime Chromium or Chrome windows seems all closed but one might still be open in the background, on another desktop, or frozen in memory.
      • If still not working try to temporally deactivate all your Chrome or Chromium plugins and extensions. Then test flash.
    • The Pepper Flash Player works in both Chrome and Chromium only. It does not directly work with Iceweasel or Firefox. For Flash to work with Iceweasel or Firefox you have to install another package. Read more here. Currently both packages can coexist. You can also try to install the new browser-plugin-freshplayer-pepperflash package that is a wrapper to allow Iceweasel or Firefox to use the Pepper Flash Player.

    Related pages

    Use Pepper Flash with Iceweasel using Freshplayerplugin

    источник

  • Читайте также:  Установка autocad 2015 на mac

    Добавить комментарий